Actieve ondersteuning PHP 5 stopt deze maand

Apps & Software
Actieve ondersteuning PHP 5 stopt deze maand

PHP 5.6, de laatste versie van PHP 5, wordt nog veel gebruikt. Desondanks wordt met de aankomende laatste update, de actieve ondersteuning stopgezet. Het is voor ontwikkelaars tijd om over te stappen naar de nieuwste versie van het framework.

Elk jaar brengt het bedrijf achter PHP een nieuwe ‘kleine’ update uit. Die kleinere updates hebben een levenscyclus van drie jaar. Die valt onder te verdelen in twee fases, die van actieve ondersteuning en de beveiligingsondersteuning. De eerste fase betreft het regelmatig updaten van de PHP-versie. Dat zijn de zogenaamde PHP 5.6.x versies, waarvan deze maand nog de laatste uitgebracht wordt.

Het gaat daarbij om PHP-serie 5.6.30, waarna aan de actieve ondersteuning een einde komt. Omdat veel mensen gebruik maken van de PHP-versie 5.6, die in augustus 2014 uitgebracht werd, besloot men al de fase van actieve ondersteuning te verlengen met vier maanden. Met PHP 5.6.30 komt daar definitief een einde aan.

Nu gaat de versie zijn laatste levensfase in, namelijk die van beveiligingsondersteuning. Op onregelmatige basis worden zogenaamd ‘kritische’ problemen aangepakt. Er komen dus geen kleine aanpassingen meer en iedereen wordt aangeraden om zo snel mogelijk over te stappen op PHP 7.1.

Toch duurt de beveiligingsondersteuning ook nog wel enige tijd: PHP schrijft dat die met een jaar verlengd wordt en pas op 31 december 2018 stopt. Op dat moment zou iedereen overgestapt moeten zijn op de nieuwste versie. PHP waarschuwt dat “twee jaar op het eerste gezicht een lange tijd lijkt, maar dat de overgang naar PHP 7 behoorlijk wat tijd in beslag kan nemen.” Idealiter stappen gebruikers over naar PHP 7.1, wat een korte termijndoel zou moeten zijn volgens de PHP.